Bug 214768 - news/sabnzbdplus: Update to 1.2.0
Summary: news/sabnzbdplus: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-23 07:04 UTC by joshruehlig
Modified: 2017-01-30 14:18 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
new/sabnzbdplus patch (3.21 KB, patch)
2016-11-23 07:04 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
sabnzbdplus patch (3.21 KB, text/plain)
2016-11-23 07:07 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details
sabnzbdplus patch (3.21 KB, patch)
2016-11-23 07:08 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
sabnzbdplus patch (1.12 KB, patch)
2016-12-12 03:48 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
sabnzbdplus patch (2.26 KB, patch)
2017-01-09 03:12 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
sabnzbdplus patch (2.26 KB, patch)
2017-01-09 03:14 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
sabnzbdplus patch (6.32 KB, patch)
2017-01-22 05:30 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
sabnzbdplus patch (6.46 KB, patch)
2017-01-30 02:09 UTC, joshruehlig
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2016-11-23 07:04:02 UTC
Update news/sabnzbdplus to version 1.1.1

This release is not posted to sourceforge, and from talking to the developer, future releases should be downloaded from github.
Comment 1 joshruehlig 2016-11-23 07:04:24 UTC
Created attachment 177311 [details]
new/sabnzbdplus patch
Comment 2 joshruehlig 2016-11-23 07:07:28 UTC
Created attachment 177312 [details]
sabnzbdplus patch
Comment 3 joshruehlig 2016-11-23 07:08:40 UTC
Created attachment 177313 [details]
sabnzbdplus patch
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-23 07:13:20 UTC
Could the localizations be made OPTION'al (and OPTIONS_DEFAULT), rather than unconditionally removed? 

Users may already rely on / use them. Feature removal should be considered carefully.
Comment 5 joshruehlig 2016-11-23 07:15:23 UTC
I only removed files that did not exist in the release posted on github.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-23 07:22:27 UTC
@Josh Perhaps they need to be built (processed) when using the repository sources. Can you look into it please. It may require some build/config parameter.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-23 07:24:04 UTC
I see the *.mo files are included in the release tarballs linked via the homepage [1]

https://github.com/sabnzbd/sabnzbd/releases/tag/1.1.1
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-23 07:25:13 UTC
The process mentioned to compile the translations is:

https://github.com/sabnzbd/sabnzbd/blob/develop/INSTALL.txt#L94
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-23 07:26:08 UTC
In the meantime, one may want to grab the DISTFILES from the GitHub /releases/ URL which contains the pre-compiled files
Comment 10 joshruehlig 2016-11-23 07:32:13 UTC
Ahh, ok. I'll try grabbing the tarball being linked to then.
Comment 11 joshruehlig 2016-11-23 07:38:28 UTC
Any idea how I could grab this link?
https://github.com/sabnzbd/sabnzbd/releases/download/1.1.1/SABnzbd-1.1.1-src.tar.gz
Comment 12 joshruehlig 2016-11-23 16:39:38 UTC
Actually as you linked we could just create the 'mo' files. I'll try that when I get a chance.
Comment 13 joshruehlig 2016-12-12 03:48:54 UTC
Created attachment 177900 [details]
sabnzbdplus patch

Ok I gave up on trying to produce our own language files for the time being. You can see my attempts here.
https://forums.sabnzbd.org/viewtopic.php?f=1&t=21820

Instead I took the easier route and just adjusted the URL for github instead of sourceforge.
Comment 14 Dmitry Marakasov freebsd_committer 2016-12-29 09:52:21 UTC
Please use USE_GITHUB.
Comment 15 joshruehlig 2016-12-29 16:46:57 UTC
(In reply to Dmitry Marakasov from comment #14)

I tried USE_GITHUB, but then it will grab the source from the repo directly instead of the released version named "SABnzbd-VERSION-src".
In this case the language (.mo) files are not included. I tried building these but was having issues as discussed here.
https://forums.sabnzbd.org/viewtopic.php?f=1&t=21820#p109327

If someone can figure out how to build these then USE_GITHUB would be a good option. I gave up after trying for a few days.
Comment 16 Dmitry Marakasov freebsd_committer 2016-12-29 16:52:18 UTC
(In reply to joshruehlig from comment #15)
> (In reply to Dmitry Marakasov from comment #14)
> 
> I tried USE_GITHUB, but then it will grab the source from the repo directly
> instead of the released version named "SABnzbd-VERSION-src".
> In this case the language (.mo) files are not included. I tried building
> these but was having issues as discussed here.
> https://forums.sabnzbd.org/viewtopic.php?f=1&t=21820#p109327
> 
> If someone can figure out how to build these then USE_GITHUB would be a good
> option. I gave up after trying for a few days.

Oh, sorry, I've missed you're fetching file from release and not the source snapshot. This way you just don't need GH_ACCOUNT/GH_PROJECT.
Comment 17 joshruehlig 2016-12-29 16:54:55 UTC
understood the variables dont need to be defined that way. I'm fine either way removing them, or keeping them. I just thought it might be a bit more clear we are getting files from github, even though we actually aren't using the github function.
Comment 18 joshruehlig 2017-01-09 03:12:01 UTC
Created attachment 178654 [details]
sabnzbdplus patch
Comment 19 joshruehlig 2017-01-09 03:14:52 UTC
Created attachment 178655 [details]
sabnzbdplus patch
Comment 20 joshruehlig 2017-01-09 03:17:21 UTC
Thanks to help from nahun on the SABnzbd forum I was able to build the locale files.
See https://forums.sabnzbd.org/viewtopic.php?f=1&t=21820#p109916

The patch has been updated and is ready for review.
Comment 21 nahun 2017-01-09 20:23:25 UTC
For what its worth I've tested the patch and everything works as expected including the translations.
Comment 22 joshruehlig 2017-01-22 05:30:54 UTC
Created attachment 179204 [details]
sabnzbdplus patch

I updated the diff for sabnzbd v1.2.0. py27-openssl is no longer needed, and instead py27-cryptography is used for SSL.
Comment 23 Dmitry Marakasov freebsd_committer 2017-01-23 17:12:49 UTC
(In reply to joshruehlig from comment #22)
> Created attachment 179204 [details]
> sabnzbdplus patch
> 
> I updated the diff for sabnzbd v1.2.0. py27-openssl is no longer needed, and
> instead py27-cryptography is used for SSL.

Please test the port with poudriere before submission.

===>  Patching for sabnzbdplus-1.2.0
===>  Applying FreeBSD patches for sabnzbdplus-1.2.0
cd /wrkdirs/usr/ports/news/sabnzbdplus/work/sabnzbd-1.2.0 && /usr/local/bin/python2.7 tools/make_mo.py
/bin/sh: /usr/local/bin/python2.7: not found
*** Error code 127

Stop.
make: stopped in /usr/ports/news/sabnzbdplus
build of news/sabnzbdplus ended at Mon Jan 23 19:50:28 MSK 2017
build time: 00:00:01

Probably you should call locale generation from where it belongs, and that is not patch stage.
Comment 24 joshruehlig 2017-01-23 17:52:07 UTC
(In reply to Dmitry Marakasov from comment #23)
Ok, never used poudriere before. I can try installing that before I post for you review.

Is the best place to generate the locale files 'do-build'? I assume I would also need to remove the NO_BUILD option.
Comment 25 Dmitry Marakasov freebsd_committer 2017-01-24 12:14:49 UTC
(In reply to joshruehlig from comment #24)

> Ok, never used poudriere before. I can try installing that before I post for
> you review.
> 
> Is the best place to generate the locale files 'do-build'? I assume I would
> also need to remove the NO_BUILD option.

Yes
Comment 26 joshruehlig 2017-01-30 02:09:50 UTC
Created attachment 179414 [details]
sabnzbdplus patch

I have yet to test this with poudriere. This diff moves the locale generation to do-build and removed a comment that does not seem relevant.
Comment 27 Dmitry Marakasov freebsd_committer 2017-01-30 10:23:07 UTC
Committed, thank you! It built find, but I've moved USE_GITHUB below DEPENDS section where it belongs (see portlint output). Next time, please check your submissions with poudriere and portlint.
Comment 28 commit-hook freebsd_committer 2017-01-30 10:23:23 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jan 30 10:22:18 UTC 2017
New revision: 432827
URL: https://svnweb.freebsd.org/changeset/ports/432827

Log:
  - Update to 1.1.1
  - Switch to new GitHub home

  PR:		214768
  Submitted by:	joshruehlig@gmail.com (maintainer)

Changes:
  head/news/sabnzbdplus/Makefile
  head/news/sabnzbdplus/distinfo
  head/news/sabnzbdplus/pkg-plist
Comment 29 joshruehlig 2017-01-30 14:18:48 UTC
Thanks for your review! ok will do.